Loading...
Searching...
No Matches
apr_dso.h File Reference

APR Dynamic Object Handling Routines. More...

`#include "apr.h"`
`#include "apr_pools.h"`
`#include "apr_errno.h"`
Include dependency graph for apr_dso.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef struct apr_dso_handle_t | apr_dso_handle_t
typedef void * | apr_dso_handle_sym_t

## Functions

apr_status_t | apr_dso_load (apr_dso_handle_t **res_handle, const char *path, apr_pool_t *ctx)
apr_status_t | apr_dso_unload (apr_dso_handle_t *handle)
apr_status_t | apr_dso_sym (apr_dso_handle_sym_t *ressym, apr_dso_handle_t *handle, const char *symname)
const char * | apr_dso_error (apr_dso_handle_t *dso, char *buf, apr_size_t bufsize)

## Detailed Description

APR Dynamic Object Handling Routines.